#pragma once
#include <map>
struct M_ActivityDoubleElevenLotteryTicketShopData
{
	//ID
	int mID;
	//抽奖次数
	int mLotteryCount;
	//需要钻石
	int mNeedCount;
	//奖励抽奖券数量
	int mTicketCount;
};

class M_ActivityDoubleElevenLotteryTicketShop
{
public:
private:
	static std::auto_ptr<M_ActivityDoubleElevenLotteryTicketShop> msSingleton;
public:
	int GetCount();
	const M_ActivityDoubleElevenLotteryTicketShopData* GetData(int ID);
	const std::map<int, M_ActivityDoubleElevenLotteryTicketShopData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDoubleElevenLotteryTicketShop* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDoubleElevenLotteryTicketShopData> mMapData;
};
